Package org.eclipse.m2m.atl.adt.ui.actions

## Class GotoMatchingBracketAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.m2m.atl.adt.ui.actions.GotoMatchingBracketAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.ui.IActionDelegate`, `org.eclipse.ui.IEditorActionDelegate`

    public class GotoMatchingBracketAction
    extends org.eclipse.jface.action.Action
    implements org.eclipse.ui.IEditorActionDelegate

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`GotoMatchingBracketAction()`
`GotoMatchingBracketAction​(AtlEditor editor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`
`void` `run​(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged​(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActiveEditor​(org.eclipse.jface.action.IAction action, org.eclipse.ui.IEditorPart targetEditor)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GotoMatchingBracketAction

    public GotoMatchingBracketAction()

#### GotoMatchingBracketAction

    public GotoMatchingBracketAction​(AtlEditor editor)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`
See Also:
  `Action.run()`

#### run

    public void run​(org.eclipse.jface.action.IAction action)

Specified by:
  `run` in interface `org.eclipse.ui.IActionDelegate`
See Also:
  `IActionDelegate.run(org.eclipse.jface.action.IAction)`

#### selectionChanged

    public void selectionChanged​(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
See Also:
  `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

#### setActiveEditor

    public void setActiveEditor​(org.eclipse.jface.action.IAction action,
                                org.eclipse.ui.IEditorPart targetEditor)

Specified by:
  `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`
See Also:
  `IEditorActionDelegate.setActiveEditor(org.eclipse.jface.action.IAction, org.eclipse.ui.IEditorPart)`